1(August 31, 2006)

NAME
ossmix - Open Sound System command-line mixer program.

SYNOPSIS
ossmix [-d <dev#>] [-chqD] [control name] [value]

DESCRIPTION
ossmix is a simple command-line mixer utility that is used to display the mixer settings of physical and virtual audio devices. OSS version 4 has an extended mixer API which supports some device specific features that may not available using other mixer applications.

OPTIOMS
-D    Display device information.
-c    Dump mixer settings for all mixers.
-h    Display usage information.
-q    Quiet mode.
-v[1|2]    Verbose mode. -v2 prints more detailed infoamation than -v1.
ctrl# value    Change value of a mixer control.
<no arg>    Display current/possible settings.

USAGE
ossmix without any arguments displays the current settings of the default mixer device (usually the motherboard sound chip). This printout can also be used to find out the supported control names and their possible values. Currently all controls accept an ON/OFF value, a mono value (0 to 100) or a stereo value (left:right where both channel volumes can be between 0 and 100). The value can also be expressed in a relative form (e.g. +1 to add 1 to the previous volume). The following is a sample printout produced by ossmix:
    Selected mixer 0/Creative AudioPCI
    Known controls are:
    vol <both/leftvol>[:<rightvol>] (currently 50:50)
    pcm <both/leftvol>[:<rightvol>] (currently 50:50)
    speaker <monovol> (currently 21)
    line <both/leftvol>[:<rightvol>] (currently 32:32)
    line.rec ON|OFF (currently OFF)
    mic <monovol> (currently 16)
    mic.rec ON|OFF (currently ON)
    cd <both/leftvol>[:<rightvol>] (currently 100:100)
    cd.rec ON|OFF (currently OFF)
    pcm2 <both/leftvol>[:<rightvol>] (currently 75:75)
    line1 <both/leftvol>[:<rightvol>] (currently 32:32)
    line1.rec ON|OFF (currently OFF)
    line2 <monovol> (currently 32)
    line2.rec ON|OFF (currently OFF)
    line3 <monovol> (currently 0)
    line3.rec ON|OFF (currently OFF)
    mic.micboost ON|OFF (currently ON)
    mic.micbias ON|OFF (currently ON)
    mute.pcmmute ON|OFF (currently OFF)
    mute.pcm2mute ON|OFF (currently OFF)
    mute.micmute ON|OFF (currently OFF)
    mute.cdmute ON|OFF (currently OFF)
    mute.linemute ON|OFF (currently OFF)
    mute.line1mute ON|OFF (currently OFF)
    mute.line2mute ON|OFF (currently OFF)
    mute.line3mute ON|OFF (currently OFF)

SELECTING MIXER DEVICE
It's possible to select the mixer device by using the -d<mixernumber> command line argument. This argument (when used) should be the first one on the command line. By default the mixer number 0 will be accessed. To find the available mixer devices, type ossinfo -x and look under the Mixers heading for available mixer devices.

CHANGING MIXER SETTINGS
Changing the values is done just like with the original "mixer" applet. For example:
    ossmix pcm 50:60 The above sets the pcm control (audio playback volume) so that the left channel volume is 50 and the right channel volume is 60. With just "ossmix pcm 50" the both channel volumes will be set to 50. In addition to the old mixer there are now some (usually ON/OFF) settings. These settings are device specific and don't work with all soundcards. The easiest way to find them out is to start ossmix without command line arguments (other than -d#). Some control names contain a dot ("."). This dot is required when changing the value. For example: "ossmix -d0 mic.micboost ON".

FILES
/usr/bin/ossmix

SEE ALSO
ossdevlinks(1), ossxmix(1), savemixer(1)

AUTHOR
4Front Technologies